"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var formatOctet_1 = require("./formatOctet");
function formatOctets(octets, maxLength) {
    if (maxLength === void 0) { maxLength = 200; }
    if (octets.length < maxLength) {
        var out = [];
        for (var i = 0; i < octets.length; i++)
            out.push(formatOctet_1.default(octets[i]));
        return out.join(', ');
    }
    else
        return "[" + octets.length + " bytes]";
}
exports.default = formatOctets;
