"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var operand_1 = require("../../operand");
var formatOctets_1 = require("../data/formatOctets");
var SIZE_ETHEREUM;
(function (SIZE_ETHEREUM) {
    SIZE_ETHEREUM[SIZE_ETHEREUM["S0"] = 0] = "S0";
    SIZE_ETHEREUM[SIZE_ETHEREUM["S1"] = 8] = "S1";
    SIZE_ETHEREUM[SIZE_ETHEREUM["S2"] = 16] = "S2";
    SIZE_ETHEREUM[SIZE_ETHEREUM["S3"] = 24] = "S3";
    SIZE_ETHEREUM[SIZE_ETHEREUM["S4"] = 32] = "S4";
    SIZE_ETHEREUM[SIZE_ETHEREUM["S5"] = 40] = "S5";
    SIZE_ETHEREUM[SIZE_ETHEREUM["S6"] = 48] = "S6";
    SIZE_ETHEREUM[SIZE_ETHEREUM["S7"] = 56] = "S7";
    SIZE_ETHEREUM[SIZE_ETHEREUM["S8"] = 64] = "S8";
    SIZE_ETHEREUM[SIZE_ETHEREUM["S9"] = 72] = "S9";
    SIZE_ETHEREUM[SIZE_ETHEREUM["S10"] = 80] = "S10";
    SIZE_ETHEREUM[SIZE_ETHEREUM["S11"] = 88] = "S11";
    SIZE_ETHEREUM[SIZE_ETHEREUM["S12"] = 96] = "S12";
    SIZE_ETHEREUM[SIZE_ETHEREUM["S13"] = 104] = "S13";
    SIZE_ETHEREUM[SIZE_ETHEREUM["S14"] = 112] = "S14";
    SIZE_ETHEREUM[SIZE_ETHEREUM["S15"] = 120] = "S15";
    SIZE_ETHEREUM[SIZE_ETHEREUM["S16"] = 128] = "S16";
})(SIZE_ETHEREUM = exports.SIZE_ETHEREUM || (exports.SIZE_ETHEREUM = {}));
var ConstantEthereum = (function (_super) {
    __extends(ConstantEthereum, _super);
    function ConstantEthereum(octets) {
        var _this = _super.call(this) || this;
        _this.octets = octets;
        _this.size = octets.length;
        return _this;
    }
    ConstantEthereum.prototype.toString = function () {
        return formatOctets_1.default(this.octets, 5);
    };
    return ConstantEthereum;
}(operand_1.Operand));
exports.ConstantEthereum = ConstantEthereum;
