"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var MnemonicX86_1 = require("../../x86/MnemonicX86");
var MnemonicVariationsX86_1 = require("../../x86/MnemonicVariationsX86");
var a = require("../atoms");
var mnemonic_add_0 = new MnemonicX86_1.default;
mnemonic_add_0.mnemonic = "fst";
mnemonic_add_0.operandSize = 32;
mnemonic_add_0.opcode = 217;
mnemonic_add_0.operandTemplates = [[a.m]];
mnemonic_add_0.opreg = 2;
mnemonic_add_0.operandSizeDefault = 32;
mnemonic_add_0.lock = false;
mnemonic_add_0.regInOp = false;
mnemonic_add_0.opcodeDirectionBit = false;
mnemonic_add_0.useModrm = true;
mnemonic_add_0.rep = false;
mnemonic_add_0.repne = false;
mnemonic_add_0.prefixes = null;
mnemonic_add_0.opEncoding = "rm";
mnemonic_add_0.rex = null;
mnemonic_add_0.vex = null;
mnemonic_add_0.evex = null;
mnemonic_add_0.mode = 63;
mnemonic_add_0.extensions = null;
var mnemonic_add_1 = new MnemonicX86_1.default;
mnemonic_add_1.mnemonic = "fst";
mnemonic_add_1.operandSize = 64;
mnemonic_add_1.opcode = 221;
mnemonic_add_1.operandTemplates = [[a.m]];
mnemonic_add_1.opreg = 2;
mnemonic_add_1.operandSizeDefault = 32;
mnemonic_add_1.lock = false;
mnemonic_add_1.regInOp = false;
mnemonic_add_1.opcodeDirectionBit = false;
mnemonic_add_1.useModrm = true;
mnemonic_add_1.rep = false;
mnemonic_add_1.repne = false;
mnemonic_add_1.prefixes = null;
mnemonic_add_1.opEncoding = "rm";
mnemonic_add_1.rex = null;
mnemonic_add_1.vex = null;
mnemonic_add_1.evex = null;
mnemonic_add_1.mode = 63;
mnemonic_add_1.extensions = null;
var mnemonic_add_2 = new MnemonicX86_1.default;
mnemonic_add_2.mnemonic = "fst";
mnemonic_add_2.operandSize = 80;
mnemonic_add_2.opcode = 221;
mnemonic_add_2.operandTemplates = [[a.st]];
mnemonic_add_2.opreg = -1;
mnemonic_add_2.operandSizeDefault = 32;
mnemonic_add_2.lock = false;
mnemonic_add_2.regInOp = false;
mnemonic_add_2.opcodeDirectionBit = false;
mnemonic_add_2.useModrm = true;
mnemonic_add_2.rep = false;
mnemonic_add_2.repne = false;
mnemonic_add_2.prefixes = null;
mnemonic_add_2.opEncoding = "rm";
mnemonic_add_2.rex = null;
mnemonic_add_2.vex = null;
mnemonic_add_2.evex = null;
mnemonic_add_2.mode = 63;
mnemonic_add_2.extensions = null;
var x86_mnemonic_variations_fst = new MnemonicVariationsX86_1.default([
    mnemonic_add_0,
    mnemonic_add_1,
    mnemonic_add_2,
]);
x86_mnemonic_variations_fst.defaultOperandSize = 32;
exports.default = x86_mnemonic_variations_fst;
