"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var MnemonicX86_1 = require("../../x86/MnemonicX86");
var MnemonicVariationsX86_1 = require("../../x86/MnemonicVariationsX86");
var a = require("../atoms");
var mnemonic_add_0 = new MnemonicX86_1.default;
mnemonic_add_0.mnemonic = "movdqu";
mnemonic_add_0.operandSize = 128;
mnemonic_add_0.opcode = 111;
mnemonic_add_0.operandTemplates = [[a.xmm], [a.xmm, a.m]];
mnemonic_add_0.opreg = -1;
mnemonic_add_0.operandSizeDefault = 32;
mnemonic_add_0.lock = false;
mnemonic_add_0.regInOp = false;
mnemonic_add_0.opcodeDirectionBit = false;
mnemonic_add_0.useModrm = true;
mnemonic_add_0.rep = false;
mnemonic_add_0.repne = false;
mnemonic_add_0.prefixes = [243, 15];
mnemonic_add_0.opEncoding = "rm";
mnemonic_add_0.rex = null;
mnemonic_add_0.vex = null;
mnemonic_add_0.evex = null;
mnemonic_add_0.mode = 63;
mnemonic_add_0.extensions = [17];
var mnemonic_add_1 = new MnemonicX86_1.default;
mnemonic_add_1.mnemonic = "movdqu";
mnemonic_add_1.operandSize = 128;
mnemonic_add_1.opcode = 127;
mnemonic_add_1.operandTemplates = [[a.xmm, a.m], [a.xmm]];
mnemonic_add_1.opreg = -1;
mnemonic_add_1.operandSizeDefault = 32;
mnemonic_add_1.lock = false;
mnemonic_add_1.regInOp = false;
mnemonic_add_1.opcodeDirectionBit = false;
mnemonic_add_1.useModrm = true;
mnemonic_add_1.rep = false;
mnemonic_add_1.repne = false;
mnemonic_add_1.prefixes = [243, 15];
mnemonic_add_1.opEncoding = "mr";
mnemonic_add_1.rex = null;
mnemonic_add_1.vex = null;
mnemonic_add_1.evex = null;
mnemonic_add_1.mode = 63;
mnemonic_add_1.extensions = [17];
var x86_mnemonic_variations_movdqu = new MnemonicVariationsX86_1.default([
    mnemonic_add_0,
    mnemonic_add_1,
]);
x86_mnemonic_variations_movdqu.defaultOperandSize = 32;
exports.default = x86_mnemonic_variations_movdqu;
