"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var atoms_1 = require("../atoms");
var consts_1 = require("../../x86/consts");
exports.default = {
    vaddps: [{ o: 0x58, en: atoms_1.rvm },
        { vex: 'NDS.128.0F.WIG', ops: atoms_1.xmm_xmm_xmmm, ext: atoms_1.ext_avx },
        { vex: 'NDS.256.0F.WIG', ops: atoms_1.ymm_ymm_ymmm, ext: atoms_1.ext_avx },
        { evex: 'NDS.128.0F.W0', ops: atoms_1.xmm_xmm_xmmm, ext: [consts_1.EXT.AVX512VL, consts_1.EXT.AVX512F] },
        { evex: 'NDS.256.0F.W0', ops: atoms_1.ymm_ymm_ymmm, ext: [consts_1.EXT.AVX512VL, consts_1.EXT.AVX512F] },
        { evex: 'NDS.512.0F.W0', ops: atoms_1.zmm_zmm_zmmm, ext: [consts_1.EXT.AVX512F] },
    ],
};
