"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var o = require("../../x86/operand");
var atoms_1 = require("../atoms");
function tpl_shrd(op) {
    if (op === void 0) { op = 0x0FAC; }
    return [{},
        { o: op, ops: [atoms_1.rm16, atoms_1.r16, atoms_1.imm8] },
        { o: op + 1, ops: [atoms_1.rm16, atoms_1.r16, o.cl], s: atoms_1.S.W },
        { o: op, ops: [atoms_1.rm32, atoms_1.r32, atoms_1.imm8] },
        { o: op, ops: [atoms_1.rm64, atoms_1.r64, atoms_1.imm8] },
        { o: op + 1, ops: [atoms_1.rm32, atoms_1.r32, o.cl], s: atoms_1.S.D },
        { o: op + 1, ops: [atoms_1.rm64, atoms_1.r64, o.cl], s: atoms_1.S.Q },
    ];
}
exports.default = {
    shrd: tpl_shrd(),
    shld: tpl_shrd(0x0FA4),
};
