"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var operand_1 = require("../../../operand");
var DisplacementValue = (function (_super) {
    __extends(DisplacementValue, _super);
    function DisplacementValue(value) {
        return _super.call(this, value, true) || this;
    }
    DisplacementValue.fromExpression = function (expr) {
        var rel = operand_1.Relative.fromExpression(expr);
        return DisplacementValue.fromVariable(rel);
    };
    DisplacementValue.fromVariable = function (value) {
        var disp;
        if (value instanceof operand_1.Variable) {
            disp = new DisplacementValue(0);
            disp.setVariable(value);
        }
        else if (operand_1.isTnumber(value)) {
            disp = new DisplacementValue(value);
        }
        else
            throw TypeError('Displacement must be of type Tvariable.');
        return disp;
    };
    DisplacementValue.SIZE = {
        DISP8: operand_1.SIZE.B,
        DISP32: operand_1.SIZE.D,
    };
    return DisplacementValue;
}(operand_1.Immediate));
exports.DisplacementValue = DisplacementValue;
