"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var InstructionPart_1 = require("./InstructionPart");
var ImmediatePart = (function (_super) {
    __extends(ImmediatePart, _super);
    function ImmediatePart(value) {
        var _this = _super.call(this) || this;
        _this.value = value;
        return _this;
    }
    ImmediatePart.prototype.write = function (arr) {
        if (arr === void 0) { arr = []; }
        this.value.octets.forEach(function (octet) { return arr.push(octet); });
    };
    return ImmediatePart;
}(InstructionPart_1.default));
exports.default = ImmediatePart;
