"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var Prefix_1 = require("./Prefix");
var PrefixEvex = (function (_super) {
    __extends(PrefixEvex, _super);
    function PrefixEvex(evexdef) {
        var _this = _super.call(this) || this;
        _this.R = 1;
        _this.X = 1;
        _this.B = 1;
        _this.W = 1;
        _this.vvvv = 15;
        _this.pp = 0;
        _this.mm = 0;
        _this.Rp = 1;
        _this.z = 0;
        _this.LL = 0;
        _this.b = 0;
        _this.Vp = 1;
        _this.aaa = 0;
        _this.LL = evexdef.L;
        _this.mm = evexdef.mmmmm & 3;
        _this.pp = evexdef.pp;
        _this.W = evexdef.W;
        return _this;
    }
    PrefixEvex.prototype.write = function (bin) {
        bin.push(0x62);
        bin.push((this.R << 7) | (this.X << 6) | (this.B << 5) | (this.Rp << 4) | this.mm);
        bin.push((this.W << 7) | (this.vvvv << 3) | 4 | this.pp);
        bin.push((this.z << 7) | (this.LL << 5) | (this.b << 4) | (this.Vp << 3) | this.aaa);
    };
    return PrefixEvex;
}(Prefix_1.default));
exports.default = PrefixEvex;
