"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var Template_1 = require("../template/Template");
var parts_1 = require("./parts");
var TemplateX86Lock = (function (_super) {
    __extends(TemplateX86Lock, _super);
    function TemplateX86Lock() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.name = 'lock';
        _this.octets = [parts_1.PREFIX.LOCK];
        return _this;
    }
    return TemplateX86Lock;
}(Template_1.default));
exports.TemplateX86Lock = TemplateX86Lock;
var TemplateX86Rex = (function (_super) {
    __extends(TemplateX86Rex, _super);
    function TemplateX86Rex(args) {
        var _this = _super.call(this, args) || this;
        _this.name = 'rex';
        _this.args = [0, 0, 0, 0];
        var _a = _this.args, W = _a[0], R = _a[1], X = _a[2], B = _a[3];
        var rex = new parts_1.PrefixRex(W, R, X, B);
        rex.write(_this.octets);
        return _this;
    }
    return TemplateX86Rex;
}(Template_1.default));
exports.TemplateX86Rex = TemplateX86Rex;
