"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PluginEthereum_1 = require("../plugins/ethereum/PluginEthereum");
var PluginData_1 = require("../plugins/data/PluginData");
var PluginUtil_1 = require("../plugins/util/PluginUtil");
var PresetEthereum = function (opts) {
    if (opts === void 0) { opts = {}; }
    var plugins = [
        new PluginEthereum_1.default(),
        new PluginData_1.default(),
        new PluginUtil_1.default(),
    ];
    return {
        plugins: plugins
    };
};
exports.default = PresetEthereum;
