"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var operand_1 = require("./operand");
var expression_1 = require("./expression");
var Label = (function (_super) {
    __extends(Label, _super);
    function Label(name) {
        var _this = _super.call(this) || this;
        _this.symbol = null;
        _this.length = 0;
        _this.symbol = new operand_1.Symbol(_this, 0, name);
        return _this;
    }
    Label.prototype.getName = function () {
        return this.symbol.name;
    };
    Label.prototype.toString = function () {
        return this.getName() + ':';
    };
    return Label;
}(expression_1.Expression));
exports.Label = Label;
exports.default = Label;
