"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var expression_1 = require("../../expression");
var DataUninitialized = (function (_super) {
    __extends(DataUninitialized, _super);
    function DataUninitialized(length) {
        var _this = _super.call(this) || this;
        _this.length = length;
        return _this;
    }
    DataUninitialized.prototype.write = function (buf) {
        buf.skip(this.length);
    };
    DataUninitialized.prototype.bytes = function () {
        return this.length;
    };
    DataUninitialized.prototype.toString = function (margin, comment) {
        if (margin === void 0) { margin = '    '; }
        if (comment === void 0) { comment = true; }
        var bytes = this.bytes();
        var expression = margin + 'resb ' + bytes;
        var cmt = '';
        if (comment) {
            var spaces = (new Array(1 + Math.max(0, expression_1.Expression.commentColls - expression.length))).join(' ');
            cmt = spaces + "; " + this.formatOffset() + " " + bytes + " bytes";
        }
        return expression + cmt;
    };
    return DataUninitialized;
}(expression_1.Expression));
exports.DataUninitialized = DataUninitialized;
exports.default = DataUninitialized;
