"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var Data_1 = require("../data/Data");
var Template = (function (_super) {
    __extends(Template, _super);
    function Template(args) {
        if (args === void 0) { args = []; }
        var _this = _super.call(this) || this;
        _this.name = 'template';
        _this.args = args;
        return _this;
    }
    Template.prototype.toString = function (margin, comment) {
        if (margin === void 0) { margin = '    '; }
        if (comment === void 0) { comment = true; }
        var expression = this.name + this.args.join(', ');
        var cmt = '';
        if (comment) {
            cmt = this.bytes() + " bytes";
        }
        return this.formatToString(margin, expression, cmt);
    };
    return Template;
}(Data_1.default));
exports.Template = Template;
exports.default = Template;
