"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var MnemonicX86_1 = require("../../x86/MnemonicX86");
var MnemonicVariationsX86_1 = require("../../x86/MnemonicVariationsX86");
var a = require("../atoms");
var mnemonic_add_0 = new MnemonicX86_1.default;
mnemonic_add_0.mnemonic = "bzhi";
mnemonic_add_0.operandSize = 32;
mnemonic_add_0.opcode = 245;
mnemonic_add_0.operandTemplates = [[a.r], [a.r, a.m], [a.r]];
mnemonic_add_0.opreg = -1;
mnemonic_add_0.operandSizeDefault = 32;
mnemonic_add_0.lock = false;
mnemonic_add_0.regInOp = false;
mnemonic_add_0.opcodeDirectionBit = false;
mnemonic_add_0.useModrm = true;
mnemonic_add_0.rep = false;
mnemonic_add_0.repne = false;
mnemonic_add_0.prefixes = null;
mnemonic_add_0.opEncoding = "rmv";
mnemonic_add_0.rex = null;
mnemonic_add_0.vex = { "vvvv": "NDS", "L": 0, "pp": 0, "mmmmm": 2, "W": 0, "WIG": false };
mnemonic_add_0.evex = null;
mnemonic_add_0.mode = 63;
mnemonic_add_0.extensions = [10];
var mnemonic_add_1 = new MnemonicX86_1.default;
mnemonic_add_1.mnemonic = "bzhi";
mnemonic_add_1.operandSize = 64;
mnemonic_add_1.opcode = 245;
mnemonic_add_1.operandTemplates = [[a.r], [a.r, a.m], [a.r]];
mnemonic_add_1.opreg = -1;
mnemonic_add_1.operandSizeDefault = 32;
mnemonic_add_1.lock = false;
mnemonic_add_1.regInOp = false;
mnemonic_add_1.opcodeDirectionBit = false;
mnemonic_add_1.useModrm = true;
mnemonic_add_1.rep = false;
mnemonic_add_1.repne = false;
mnemonic_add_1.prefixes = null;
mnemonic_add_1.opEncoding = "rmv";
mnemonic_add_1.rex = null;
mnemonic_add_1.vex = { "vvvv": "NDS", "L": 0, "pp": 0, "mmmmm": 2, "W": 1, "WIG": false };
mnemonic_add_1.evex = null;
mnemonic_add_1.mode = 32;
mnemonic_add_1.extensions = [10];
var x86_mnemonic_variations_bzhi = new MnemonicVariationsX86_1.default([
    mnemonic_add_0,
    mnemonic_add_1,
]);
x86_mnemonic_variations_bzhi.defaultOperandSize = 32;
exports.default = x86_mnemonic_variations_bzhi;
