"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var MnemonicVariations_1 = require("../../MnemonicVariations");
var MnemonicVariationsX86 = (function (_super) {
    __extends(MnemonicVariationsX86, _super);
    function MnemonicVariationsX86() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    MnemonicVariationsX86.prototype.matches = function (ops, opts, filter) {
        if (filter === void 0) { filter = Boolean; }
        var matches = [];
        for (var _i = 0, _a = this.mnemonics; _i < _a.length; _i++) {
            var mnemonic = _a[_i];
            var match = mnemonic.match(ops, opts);
            if (match && filter(match))
                matches.push(match);
        }
        return matches;
    };
    MnemonicVariationsX86.prototype.toJson = function () {
        return __assign({}, _super.prototype.toJson.call(this), { defaultOperandSize: this.defaultOperandSize });
    };
    return MnemonicVariationsX86;
}(MnemonicVariations_1.default));
exports.default = MnemonicVariationsX86;
