"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var Prefix_1 = require("./Prefix");
var PrefixVex = (function (_super) {
    __extends(PrefixVex, _super);
    function PrefixVex(vexdef, R, X, B, vvvv) {
        if (R === void 0) { R = 1; }
        if (X === void 0) { X = 1; }
        if (B === void 0) { B = 1; }
        if (vvvv === void 0) { vvvv = 15; }
        var _this = _super.call(this) || this;
        _this.bytes = 2;
        _this.R = 1;
        _this.X = 1;
        _this.B = 1;
        _this.W = 1;
        _this.vvvv = 15;
        _this.mmmmm = 0;
        _this.L = 0;
        _this.pp = 0;
        _this.L = vexdef.L;
        _this.mmmmm = vexdef.mmmmm;
        _this.pp = vexdef.pp;
        _this.W = vexdef.W;
        if (vexdef.WIG)
            _this.W = 0;
        _this.R = R;
        _this.X = X;
        _this.B = B;
        _this.vvvv = vvvv;
        if ((_this.X === 0) || (_this.B === 0) ||
            ((_this.W === 0) && !vexdef.WIG) ||
            (_this.mmmmm === PrefixVex.MMMMM.x0F3A) || (_this.mmmmm === PrefixVex.MMMMM.x0F38))
            _this.promoteTo3bytes();
        return _this;
    }
    PrefixVex.prototype.promoteTo3bytes = function () {
        this.bytes = 3;
    };
    PrefixVex.prototype.write = function (bin) {
        if (this.bytes === 2) {
            bin.push(197);
            bin.push((this.R << 7) | (this.vvvv << 3) | (this.L << 2) | this.pp);
        }
        else {
            bin.push(196);
            bin.push((this.R << 7) | (this.X << 6) | (this.B << 5) | this.mmmmm);
            bin.push((this.W << 7) | (this.vvvv << 3) | (this.L << 2) | this.pp);
        }
    };
    PrefixVex.PP = {
        x66: 1,
        xF2: 3,
        xF3: 2,
    };
    PrefixVex.MMMMM = {
        x0F38: 2,
        x0F3A: 3,
        x0F: 1,
    };
    return PrefixVex;
}(Prefix_1.default));
exports.default = PrefixVex;
